Subject: bug#69832: 30.0.50; Should `subr-primitive-p` apply to special-forms?

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Mar 2024 22:17:25 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 16 Mar 2024 15:58:09 -0400
> 
> > Why take the path of a breaking change instead of the non-breaking
> > alternative?
> 
> - It can be considered as a bug fix (to make the code match its doc).

Or we could fix its doc string to be more accurate, and match what the
code does.

> - If we introduce `subr-function-p`, then `subr-primitive-p` is only
>   "useful" at one place any more, and we can trivially rewrite the code to
>   avoid it, so we could get rid of it.

I don't see why we should get rid of subr-primitive-p.  We can leave
it alone, used in that single place where it's useful, and let 3rd
party packages use it if they want.  And we can then use the new
function where that is needed.

> - These functions are used very rarely, the majority is in core files,
>   and the rest is mostly used to generate human-facing descriptions
>   so the risk of breakage is low and the kind of breakage is likely to
>   have a low impact.

Yes, but I've heard these famous last words one or two times too
many...